<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/taglibs.jsp"%>

<c:set var="menuUiid" value="${u:uiid()}"/>
<ui:popup-menu id="${menuUiid}"><%-- dynamically loaded --%></ui:popup-menu>

<c:set var="board" value="${frd.board}"/>
<c:if test="${not empty board}">
	<c:set var="uiid" value="${u:uiid()}"/>
	<table id="${uiid}" class="hdata hl-td">
		<tr class="header">
			<td class="min text-right">${l.l('Date')}</td>
			<c:forEach var="column" items="${board.columns.values()}">
				<td width="${board.columnWidth}%">${column.title}</td>
			</c:forEach>
		</tr>

		<c:set var="locale" value="${u:newInstance1('java.util.Locale', setup.lang)}"/>
		<c:set var="format" value="${u:newInstance2('java.text.SimpleDateFormat', 'EEE dd.MM', locale)}"/>

		<c:forEach var="row" items="${frd.rows}">
			<tr bg-date="${tu.format(row.date, 'ymd')}">
				<td class="header nowrap text-right ${row.workingDay ? '' : 'grpl-non-working-day'}">${format.format(row.date)}</td>
				<c:forEach var="columnId" items="${board.columns.keySet()}">
					<c:set var="group" value="${row.getCell(columnId).group}"/>
					<td bg-column-id="${columnId}">
						<div class="grpl-board-group">${group.title}</div>
					</td>
				</c:forEach>
			</tr>
		</c:forEach>
	</table>

	<script>
		$(function () {
			$$.grpl.menuInit('${uiid}', '${menuUiid}', ${board.id}, '${form.httpRequestURI}', '${form.requestUrl}');

			$('#content > #grpl-board').data('onShow', () => {
				$$.ajax.loadContent('${form.requestUrl}', $('#${uiid}'));
			});

			$$.shell.stateFragment(${board.id});
		});
	</script>
</c:if>



